Subject: Re: CygWin32
From: [email-masked] (Miles Gillham)

25 Mar 1998 06:06:09 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: Michael Mullen <[email-masked]>

Thanks for the response Michael. I should explain where I'm coming from. We
have a Windows NT application that is built using the Cygwin32 libraries. We
distribute this application internally and comply with the licensing
requirements of distributing all source code. However, we're considering the
option of being able to provide this application to people outside of our
company, but don't want them to have access by default to our source code - an
essential conflict with the GNU licensing that Cygwin32 appears to be under. We
could probably manage it by some convoluted process whereby we distribute
object files and let the third-party do the final link themselves, but this is
messy and dubious at best. No immediate plans to pursue the GNUPro, but there
is perhaps some general interest in new developments - use [email-masked] for
any mail updates.

Any suggestions on the licensing/distribution? We are not so worried that it is
unsupported.

Best regards,

Miles
---

Michael Mullen wrote:

> Miles,
>
> Thanks for your email; however Cygwin32 is an unsupported product.  Sorry.
> The best I can suggest is to send email to: [email-masked].  Our web
> site gives this information as well http://www.cygnus.com/misc/gnu-win32/.
>
> We are looking at porting our full GNUPro C/C++ development toolchain to
> Windows NT/95 Native in the future.  Let me know if you would like me to
> keep your name on file for updated information on this availability.
>
> Additionally, we do support our GNUPro toolchain on over 150 different
> platform combinations.  Please see our web site for details:
> http://www.cygnus.com.  Let me know if you might have interest in GNUPro on
> any of our supported platforms.
>
> Good luck,
> Mike Mullen
>
> At 03:59 PM 3/19/98 +0000, you wrote:
> >Hello,
> >
> >I'd like to talk to someone about your licensing terms for CygWin32, my
> >contact details are as below. If you can give me a phone number I'm
> >happy to call you otherwise I'd appreciate it if you can respond via
> >e-mail or voice.
> >
> >Best regards,
> >
> >Miles Gillham
> >
> >--
> >Miles Gillham               MailTo:[email-masked]
> >Nortel Technology           Esn: 742 5149
> >London Road                 Tel: +44 (0)1279 40 5149
> >Harlow, Essex CM17 9NA      Fax: +44 (0)1279 40 3930
> >United Kingdom              Mobile: +44 (0) 410 904 119
> >
> >
> >
> >
>
> Mike Mullen
> Cygnus Solutions
> Account Manager
> Phone (408)542-9637
> Fax (408)542-9699
> [email-masked]
> Web Site www.cygnus.com

--
Miles Gillham               MailTo:[email-masked]
Nortel Technology           Esn: 742 5149
London Road                 Tel: +44 (0)1279 40 5149
Harlow, Essex CM17 9NA      Fax: +44 (0)1279 40 3930
United Kingdom              Mobile: +44 (0) 410 904 119

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".